%define upstream_name	 Object-Signature
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate cryptographic signatures for objects
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Storable) >= 2.110.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Object::Signature is an abstract base class that you can inherit from in order
to allow your objects to generate unique cryptographic signatures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README Changes lib/Object/Signature.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{perl_vendorlib}/Object
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 371106
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 25 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 77313
- update to 1.07

* Tue Jan 18 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 22704
- cleaning spec file
- imported package perl-Object-Signature

